package cz.moneta.test.dsl.mwf.findunifiedclient;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFHK8 extends MwfRequest<MWFHK8, MWFHK8Response> {

    @Parameter(name = "Adresy_OutputAktualniFlag")
    MWFHK8 adresyOutputAktualniFlag(String adresyOutputAktualniFlag);
    @Parameter(name = "Adresy_OutputSysIDs")
    MWFHK8 adresyOutputSysIDs(String adresyOutputSysIDs);
    @Parameter(name = "BusinessRequestor")
    MWFHK8 businessRequestor(String businessRequestor);
    @Parameter(name = "BusinessTarget")
    MWFHK8 businessTarget(String businessTarget);
    @Parameter(name = "CisloDokladu")
    MWFHK8 cisloDokladu(String cisloDokladu);
    @Parameter(name = "CisloKarty")
    MWFHK8 cisloKarty(String cisloKarty);
    @Parameter(name = "CisloSmlouvy")
    MWFHK8 cisloSmlouvy(String cisloSmlouvy);
    @Parameter(name = "CisloUctu")
    MWFHK8 cisloUctu(String cisloUctu);
    @Parameter(name = "DatumNarozeni")
    MWFHK8 datumNarozeni(java.util.Date datumNarozeni);
    @Parameter(name = "DokladTyp")
    MWFHK8 dokladTyp(String dokladTyp);
    @Parameter(name = "ICO")
    MWFHK8 ico(String ico);
    @Parameter(name = "IDAdresy")
    MWFHK8 iDAdresy(Long iDAdresy);
    @Parameter(name = "IDAdresy_SRCSystem")
    MWFHK8 iDAdresySRCSystem(String iDAdresySRCSystem);
    @Parameter(name = "IDCustomer")
    MWFHK8 iDCustomer(String iDCustomer);
    @Parameter(name = "IDInstanceKlienta")
    MWFHK8 iDInstanceKlienta(Long iDInstanceKlienta);
    @Parameter(name = "IDKonsolidovanehoKlienta")
    MWFHK8 iDKonsolidovanehoKlienta(Long iDKonsolidovanehoKlienta);
    @Parameter(name = "IDUnifikovanehoKlienta")
    MWFHK8 iDUnifikovanehoKlienta(Long iDUnifikovanehoKlienta);
    @Parameter(name = "IDZadosti")
    MWFHK8 iDZadosti(String iDZadosti);
    @Parameter(name = "IDZdrojovehoSystemu")
    MWFHK8 iDZdrojovehoSystemu(String iDZdrojovehoSystemu);
    @Parameter(name = "IDZdrojovehoSystemu_OUTPUT")
    MWFHK8 iDZdrojovehoSystemuOUTPUT(String iDZdrojovehoSystemuOUTPUT);
    @Parameter(name = "Jmeno")
    MWFHK8 jmeno(String jmeno);
    @Parameter(name = "KartaRole")
    MWFHK8 kartaRole(String kartaRole);
    @Parameter(name = "MaximalniPocetZaznamu")
    MWFHK8 maximalniPocetZaznamu(Long maximalniPocetZaznamu);
    @Parameter(name = "NazevFirmy")
    MWFHK8 nazevFirmy(String nazevFirmy);
    @Parameter(name = "Prijmeni")
    MWFHK8 prijmeni(String prijmeni);
    @Parameter(name = "Priznak_BankovniTajemstvi")
    MWFHK8 priznakBankovniTajemstvi(String priznakBankovniTajemstvi);
    @Parameter(name = "Priznak_RozsirenyVystup")
    MWFHK8 priznakRozsirenyVystup(String priznakRozsirenyVystup);
    @Parameter(name = "RC")
    MWFHK8 rc(String rc);
    @Parameter(name = "TypyOsobyFiltr")
    MWFHK8 typyOsobyFiltr(String typyOsobyFiltr);
    @Parameter(name = "UcelDotazu")
    MWFHK8 ucelDotazu(String ucelDotazu);
    @Parameter(name = "ZECO")
    MWFHK8 zeco(String zeco);
}